%define upstream_name Unicode-EastAsianWidth
%define upstream_version 1.33

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	East Asian Width properties
License:	CC0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%{?perl_default_filter}

%description
This module provide user-defined Unicode properties that deal with width
status of East Asian characters, as specified in
<http://www.unicode.org/unicode/reports/tr11/>.

It exports the following functions to the caller's scope, to be used by
Perl's Unicode matching system: "InEastAsianFullwidth",
"InEastAsianHalfwidth", "InEastAsianAmbiguous", "InEastAsianNarrow"
"InEastAsianWide", "InEastAsianNeutral".

In accord to TR11 cited above, two additional context-sensitive
properties are exported: "InFullwidth" (union of "Fullwidth" and "Wide")
and "InHalfwidth" (union of "Halfwidth", "Narrow" and "Neutral").

*Ambiguous* characters are treated by default as part of "InHalfwidth",
but you can modify this behaviour by assigning a true value to
$Unicode::EastAsianWidth::EastAsian at compile time within a "BEGIN"
block before loading this module:

    BEGIN { $Unicode::EastAsianWidth::EastAsian = 1; }
    use Unicode::EastAsianWidth;

Setting $Unicode::EastAsianWidth::EastAsian at run-time used to work on
Perl versions between 5.8 and 5.14 due to an implementation detail, but
it will no longer work on Perl 5.16 and later versions, and hence is not
recommended.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.330.0-8pclos2017
- rebuild against updates
